﻿Imports WPFGlue.Framework

Namespace Commanding
    Public Class ActionExtension
        Inherits Binding

        Private Shared _ActionConverter As New ActionConverter
        Public Sub New()
            MyBase.New()

            Converter = _ActionConverter
        End Sub

        Public Sub New(ByVal path As String)
            MyBase.New(path)

            Converter = _ActionConverter
        End Sub

        Public Property Action As String
            Get
                Return ConverterParameter
            End Get
            Set(ByVal value As String)
                ConverterParameter = value
            End Set
        End Property
    End Class
End Namespace

