﻿Namespace Commanding
    Public MustInherit Class ResultCommand
        Inherits Command

        Private Shared ReadOnly ResultPropertyKey As DependencyPropertyKey = DependencyProperty.RegisterReadOnly("Result", GetType(Object), GetType(ResultCommand), New FrameworkPropertyMetadata(Nothing, FrameworkPropertyMetadataOptions.BindsTwoWayByDefault))
        Public Shared ReadOnly ResultProperty As DependencyProperty = ResultPropertyKey.DependencyProperty
        Public Property Result As Object
            Get
                Return GetValue(ResultProperty)
            End Get
            Protected Set(ByVal value As Object)
                SetValue(ResultPropertyKey, value)
            End Set
        End Property


    End Class
End Namespace