﻿Namespace Framework
    Public Enum AttachMode As Integer
        Immediate = 0
        OnInitialized = 1
        OnLoaded = 2
    End Enum

    Public Interface IStickyComponent

        Sub OnAttach(ByVal base As Object, ByVal e As EventArgs)

        Sub OnDetach(ByVal base As Object, ByVal e As EventArgs)

        ReadOnly Property Mode() As AttachMode

    End Interface

    Public Interface INamedStickyComponent
        Inherits IStickyComponent

        ReadOnly Property Name() As String

    End Interface

End Namespace
