﻿Namespace Localization
    <System.Windows.Markup.MarkupExtensionReturnType(GetType(System.Windows.Markup.XmlLanguage))> _
    Public Class UILanguageExtension
        Inherits System.Windows.Markup.MarkupExtension

        Private Shared _UILanguage As System.Windows.Markup.XmlLanguage
        Public Overrides Function ProvideValue(ByVal serviceProvider As System.IServiceProvider) As Object
            If _UILanguage Is Nothing OrElse System.Globalization.CultureInfo.CurrentUICulture.IetfLanguageTag <> _UILanguage.IetfLanguageTag Then
                _UILanguage = System.Windows.Markup.XmlLanguage.GetLanguage(System.Globalization.CultureInfo.CurrentUICulture.IetfLanguageTag)
            End If
            Return _UILanguage
        End Function
    End Class

End Namespace
