﻿Namespace Validation
    Public Class IsNotEmptyValidationRule
        Inherits ValidationRule

        Public Sub New()
            Me.ValidationStep = System.Windows.Controls.ValidationStep.RawProposedValue
            Me.Message = "Must not be empty"
        End Sub

        Protected Overrides Function ValidateCore(ByVal value As Object, ByVal cultureInfo As System.Globalization.CultureInfo) As Boolean
            Return Not String.IsNullOrEmpty(value)
        End Function
    End Class
End Namespace

