﻿Partial Public Class StickyViewModelPage

    Private Sub AddButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Dim collection As CustomerCollection = TryCast(Me.CustomerListView.ItemsSource, CustomerCollection)
        If collection IsNot Nothing Then
            collection.Add(New Customer)
        End If
    End Sub


    Private Shared _Count As Integer = 0
    Private _Index As Integer
    Public Sub New()
        _Count += 1
        _Index = _Count
        Debug.Print("{0} {1} Constructed", Me.GetType.Name, _Index)
        InitializeComponent()
    End Sub
    Protected Overrides Sub Finalize()
        Debug.Print("{0} {1} Finalized", Me.GetType.Name, _Index)
        MyBase.Finalize()
    End Sub

    Private Sub Page_Initialized(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Initialized
        Debug.Print("{0} {1} Initialized", Me.GetType.Name, _Index)
    End Sub

    Private Sub Page_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles Me.Loaded
        Debug.Print("{0} {1} Loaded", Me.GetType.Name, _Index)
    End Sub

    Private Sub Page_Unloaded(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles Me.Unloaded
        Debug.Print("{0} {1} Unloaded", Me.GetType.Name, _Index)
    End Sub


    Private Sub DeleteButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Dim customer As Customer = TryCast(Me.CustomerListView.SelectedItem, Customer)
        Dim collection As CustomerCollection = TryCast(Me.CustomerListView.ItemsSource, CustomerCollection)
        If collection IsNot Nothing And customer IsNot Nothing Then
            collection.Remove(customer)
        End If
    End Sub

    Private Sub CollectButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        GC.Collect()
    End Sub
End Class
